\chapter{Probability or The Art of Guessing?}
\label{ch:probability}
Guess what? This chapter \textit{probably} talks about probability. But what is the probability of such event? Let us find out.

\section{Quantifying surprise}
\label{sec:quantifying-surprise}
The Kullback-Leibler is defined to be the \textbf{divergence from Y to X}, $KL(X || Y)$: it's the average surprise of seeing $Y$ when you expected $X$.

Obviously $KL(X || Y) \neq KL(Y || X)$, that is the surprise from seeing power law data when expecting a uniform distribution is greater than the surprise from seeing uniform data when expected a power law distribution.

\begin{proof}
Let $X$ be random variable uniformly distributed on $[0, 1]$ and let $Y$ be a random variable with distribution proportional to $x^{\alpha}$ on the same interval. (The proportionality constant necessary to make the probability integrate to $1$ is $\alpha + 1$.) We will show that $KL(X || Y)$ is greater than $KL(Y || X)$.

$$
\begin{aligned}
KL(X || Y) &= - \int_0 ^1 f_{X}(x) \log \left( \frac{f_{Y}(x)}{f_{X}(x)} \right) \diff x\\
&= - \int_0 ^1 1 \cdot (\log(\alpha + 1)) + \alpha \log x - \log 1 ) \diff x\\
&= \alpha - \log(\alpha + 1)
\end{aligned}
$$
and
$$
\begin{aligned}
KL(Y || X) &= - \int_0 ^1 f_{Y}(x) \log \left( \frac{f_{X}(x)}{f_{Y}(x)} \right) \diff x\\
&= - \int_0 ^1 (\alpha + 1) x ^ {\alpha} \log (\log 1 - \log (\alpha + 1) - \alpha \log x) \diff x\\
&= \log (\alpha + 1) - \frac{\alpha}{1 + \alpha}\\
\end{aligned}
$$
\end{proof}

\begin{figure}[ht!]
\centering
\includegraphics[width=70mm]{ch/probability/img/kl.png}
\caption{Values for which $KL(X || Y) = KL(Y || X)$}
\end{figure}
